Bug 1269560 - Spawning instance fails with Failure prepping block device
Spawning instance fails with Failure prepping block device
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Lee Yarwood
nlevinki
: Unconfirmed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 10:40 EDT by Jeremy
Modified: 2017-04-18 01:02 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 12:17:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2015-10-07 10:40:57 EDT
Description of problem: Instance fails to spawn


Version-Release number of selected component (if applicable):


How reproducible: anytime they try to spawn large instances


Steps to Reproduce:
1.spawn large instance
2.
3.

Actual results:
fails

Expected results:
spawns

Additional info:
We are trying to build an instance using a 100GB rhel6.6 raw image and get the following error.

Instance Overview
Info

Name
rhel66-template
ID
516f17c4-580d-4d9b-8588-1fc63bd6962b
Status
Error
Availability Zone
nova
Created
Oct. 6, 2015, 2:48 p.m.
Uptime
13 minutes
Fault

Message
Build of instance 516f17c4-580d-4d9b-8588-1fc63bd6962b aborted: Failure prepping block device.
Code
500
Details
File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2075, in _do_build_and_run_instance filter_properties) File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2174, in _build_and_run_instance 'create.error', fault=e) File "/usr/lib/python2.7/site-packages/nova/openstack/common/excutils.py", line 82, in __exit__ six.reraise(self.type_, self.value, self.tb) File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2147, in _build_and_run_instance block_device_mapping) as resources: File "/usr/lib64/python2.7/contextlib.py", line 17, in __enter__ return self.gen.next() File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2285, in _build_resources reason=msg)
Created
Oct. 6, 2015, 2:52 p.m.
Specs

Flavor
m1.small
RAM
2GB
VCPUs
1 VCPU
Disk
100GB
IP Addresses

Security Groups

Not available
Meta

Key Name
None
Image Name
None
Volumes Attached

Volume
No volumes attached.

Where are you experiencing the behavior?  What environment?

This is in our new openstack 6 environment for development

When does the behavior occur? Frequently?  Repeatedly?   At certain times?

Anytime we try to build from a large raw image
Comment 3 Lee Yarwood 2015-10-16 12:17:13 EDT
(In reply to Jeremy from comment #0)
> Description of problem: Instance fails to spawn
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible: anytime they try to spawn large instances
> 
> 
> Steps to Reproduce:
> 1.spawn large instance
> 2.
> 3.
> 
> Actual results:
> fails
> 
> Expected results:
> spawns
> 
> Additional info:
> We are trying to build an instance using a 100GB rhel6.6 raw image and get
> the following error.
> 
> Instance Overview
> Info
> 
> Name
> rhel66-template
> ID
> 516f17c4-580d-4d9b-8588-1fc63bd6962b
> Status
> Error
> Availability Zone
> nova
> Created
> Oct. 6, 2015, 2:48 p.m.
> Uptime
> 13 minutes
> Fault
> 
> Message
> Build of instance 516f17c4-580d-4d9b-8588-1fc63bd6962b aborted: Failure
> prepping block device.
> Code
> 500
> Details
> File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2075,
> in _do_build_and_run_instance filter_properties) File
> "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2174, in
> _build_and_run_instance 'create.error', fault=e) File
> "/usr/lib/python2.7/site-packages/nova/openstack/common/excutils.py", line
> 82, in __exit__ six.reraise(self.type_, self.value, self.tb) File
> "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2147, in
> _build_and_run_instance block_device_mapping) as resources: File
> "/usr/lib64/python2.7/contextlib.py", line 17, in __enter__ return
> self.gen.next() File
> "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2285, in
> _build_resources reason=msg)
> Created
> Oct. 6, 2015, 2:52 p.m.
> Specs
> 
> Flavor
> m1.small
> RAM
> 2GB
> VCPUs
> 1 VCPU
> Disk
> 100GB
> IP Addresses
> 
> Security Groups
> 
> Not available
> Meta
> 
> Key Name
> None
> Image Name
> None
> Volumes Attached
> 
> Volume
> No volumes attached.
> 
> Where are you experiencing the behavior?  What environment?
> 
> This is in our new openstack 6 environment for development
> 
> When does the behavior occur? Frequently?  Repeatedly?   At certain times?
> 
> Anytime we try to build from a large raw image

Closing with INSUFFICIENT_DATA, there are currently 56 comments in the associated case and the above copy pasted description misses so much of this that it is going to be easier to start again here. I'll work with support to define what the issues currently are and have new bugs opened if required.

Note You need to log in before you can comment on or make changes to this bug.